Search If User Exists in a Custom Segment
Determines if a specific user belongs to a custom segment. Either email or user_id should be provided in the request to search for the user; user_id will be preferred if both are provided.
Query Parameters
- Type: stringcustom
_segment _id Unique ID of the custom segment
- Type: stringemail
Email address of the user
- Type: integerFormat: int64user
_id Unique ID of the user. This is generated by Punchh.
Headers
- Type: stringAuthorizationrequired
Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".
- Type: stringAcceptrequired
Advertises which content types the client is able to understand
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for get/api2/dashboard/custom_segments/members
curl 'https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/custom_segments/members?custom_segment_id=&email=&user_id=1' \
--header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
--header 'Accept: application/json'
[
{
"custom_segment_member_id": 84767860,
"custom_segment_id": 15402,
"email": "test@example.com",
"user_id": 111111111,
"created_at": "2018-01-10T11:54:11Z",
"updated_at": "2018-01-10T11:54:11Z"
}
]